Subject: bug#29078: 25.2; font issue with FreeType 2.8; should not use the rounded ascender and descender

From: Robert Pluim <[email-masked]>
Date: Tue, 19 Nov 2019 11:07:20 +0100

>>>>> On Mon, 18 Nov 2019 18:05:52 +0200, Eli Zaretskii <[email-masked]> said:

    >> From: Lars Ingebrigtsen <[email-masked]>
    >> Date: Mon, 18 Nov 2019 09:30:42 +0100
    >> Cc: [email-masked]
    >> 
    >> Vincent Lefevre <[email-masked]> writes:
    >> 
    >> > With a snapsnot from 23 August 2019,  I'm still seeing them.
    >> 
    >> OK; thanks for checking.

    Eli> The discussion of this issue includes several proposed patches, so
    Eli> maybe we can dust off one of them and install something similar?

My proposed patch was wrong, so we can remove that from consideration.

    Eli> (I don't really understand the issue, so I'm unable to say anything
    Eli> more intelligent, sorry.)

Iʼll note that Vincent's sample file displays wrong on macOS as well
(this is with
mac-ct:-*-Hack-normal-normal-normal-*-14-*-*-*-m-0-iso10646-1 (#x4C7),
although Menlo shows similar artifacts, and Inconsolata gets the
character widths wrong as well).